package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class jobservice_subs_0 {


public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (jobservice) ","jobservice",9,jobservice.processBA,jobservice.mostCurrent,12);
if (RapidSub.canDelegate("service_create")) { return shub.dpm.jobservice.remoteMe.runUserSub(false, "jobservice","service_create");}
 BA.debugLineNum = 12;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(2048);
 BA.debugLineNum = 14;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (jobservice) ","jobservice",9,jobservice.processBA,jobservice.mostCurrent,20);
if (RapidSub.canDelegate("service_destroy")) { return shub.dpm.jobservice.remoteMe.runUserSub(false, "jobservice","service_destroy");}
 BA.debugLineNum = 20;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(524288);
 BA.debugLineNum = 22;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (jobservice) ","jobservice",9,jobservice.processBA,jobservice.mostCurrent,16);
if (RapidSub.canDelegate("service_start")) { return shub.dpm.jobservice.remoteMe.runUserSub(false, "jobservice","service_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 16;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 17;BA.debugLine="Service.StopAutomaticForeground 'Call this when t";
Debug.ShouldStop(65536);
jobservice.mostCurrent._service.runVoidMethod ("StopAutomaticForeground");
 BA.debugLineNum = 18;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}